Package org.springframework.orm.jpa.persistenceunit

# Interface PersistenceManagedTypes

public interface PersistenceManagedTypes
Provide the list of managed persistent types that an entity manager should consider.

Since:
  6.0
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getManagedClassNames()`
Return the class names the persistence provider must add to its set of managed classes.
`List<String>`
`getManagedPackages()`
Return a list of managed Java packages, to be introspected by the persistence provider.
`URL`
`getPersistenceUnitRootUrl()`
Return the persistence unit root url or `null` if it could not be determined.
`static PersistenceManagedTypes`
`of(String... managedClassNames)`
Create an instance using the specified managed class names.
`static PersistenceManagedTypes`
`of(List<String> managedClassNames, List<String> managedPackages)`
Create an instance using the specified managed class names and packages.

## Method Details

### getManagedClassNames

List<String> getManagedClassNames()
Return the class names the persistence provider must add to its set of managed classes.

Returns:
  the managed class names
See Also:
  - `PersistenceUnitInfo.getManagedClassNames()`

### getManagedPackages

List<String> getManagedPackages()
Return a list of managed Java packages, to be introspected by the persistence provider.

Returns:
  the managed packages

### getPersistenceUnitRootUrl

@Nullable URL getPersistenceUnitRootUrl()
Return the persistence unit root url or `null` if it could not be determined.

Returns:
  the persistence unit root url
See Also:
  - `PersistenceUnitInfo.getPersistenceUnitRootUrl()`

### of

static PersistenceManagedTypes of(String... managedClassNames)
Create an instance using the specified managed class names.

Parameters:
  `managedClassNames` - the managed class names
Returns:
  a `PersistenceManagedTypes`

### of

static PersistenceManagedTypes of(List<String> managedClassNames, List<String> managedPackages)
Create an instance using the specified managed class names and packages.

Parameters:
  `managedClassNames` - the managed class names
  `managedPackages` - the managed packages
Returns:
  a `PersistenceManagedTypes`